DROP TABLE IF EXISTS shop_unit_history;
DROP TABLE IF EXISTS shop_unit_children;
DROP TABLE IF EXISTS shop_unit;

create table shop_unit
(
    id        varchar(255) not null
        primary key,
    date      timestamp    not null,
    name      varchar(255) not null,
    parent_id varchar(255),
    price     integer,
    type      integer      not null
);

alter table shop_unit
    owner to "user";

create table shop_unit_children
(
    shop_unit_id varchar(255) not null
        constraint fkax4tgnkb6miwrjoo80yecq8ab
            references shop_unit,
    children_id  varchar(255) not null
        constraint uk_3civ45541xfjyhju28l0of838
            unique
        constraint fk1qe2nmuramu00noxn41f9w50n
            references shop_unit,
    primary key (shop_unit_id, children_id)
);

alter table shop_unit_children
    owner to "user";

create table shop_unit_history
(
    id           integer generated by default as identity
        primary key,
    date         timestamp,
    price        integer,
    shop_unit_id varchar(255)
        constraint fk55jl81nl6stdn2auudb7soy8u
            references shop_unit
);

alter table shop_unit_history
    owner to "user";